Callisto4Bootloader: PWM_Type Struct Reference

Callisto4Bootloader

Data Fields
PWM_Type Struct Reference
Mapping Information » Edma_request » Iomuxc_pads » Device Peripheral Access Layer » PWM Peripheral Access Layer

`#include <MIMXRT1062.h>`

## Data Fields

struct {
__I uint16_t PWM_Type::CNT
__IO uint16_t PWM_Type::INIT
__IO uint16_t PWM_Type::CTRL2
__IO uint16_t PWM_Type::CTRL
uint8_t PWM_Type::RESERVED_0 [2]
__IO uint16_t PWM_Type::VAL0
__IO uint16_t PWM_Type::FRACVAL1
__IO uint16_t PWM_Type::VAL1
__IO uint16_t PWM_Type::FRACVAL2
__IO uint16_t PWM_Type::VAL2
__IO uint16_t PWM_Type::FRACVAL3
__IO uint16_t PWM_Type::VAL3
__IO uint16_t PWM_Type::FRACVAL4
__IO uint16_t PWM_Type::VAL4
__IO uint16_t PWM_Type::FRACVAL5
__IO uint16_t PWM_Type::VAL5
__IO uint16_t PWM_Type::FRCTRL
__IO uint16_t PWM_Type::OCTRL
__IO uint16_t PWM_Type::STS
__IO uint16_t PWM_Type::INTEN
__IO uint16_t PWM_Type::DMAEN
__IO uint16_t PWM_Type::TCTRL
__IO uint16_t PWM_Type::DISMAP [2]
__IO uint16_t PWM_Type::DTCNT0
__IO uint16_t PWM_Type::DTCNT1
__IO uint16_t PWM_Type::CAPTCTRLA
__IO uint16_t PWM_Type::CAPTCOMPA
__IO uint16_t PWM_Type::CAPTCTRLB
__IO uint16_t PWM_Type::CAPTCOMPB
__IO uint16_t PWM_Type::CAPTCTRLX
__IO uint16_t PWM_Type::CAPTCOMPX
__I uint16_t PWM_Type::CVAL0
__I uint16_t PWM_Type::CVAL0CYC
__I uint16_t PWM_Type::CVAL1
__I uint16_t PWM_Type::CVAL1CYC
__I uint16_t PWM_Type::CVAL2
__I uint16_t PWM_Type::CVAL2CYC
__I uint16_t PWM_Type::CVAL3
__I uint16_t PWM_Type::CVAL3CYC
__I uint16_t PWM_Type::CVAL4
__I uint16_t PWM_Type::CVAL4CYC
__I uint16_t PWM_Type::CVAL5
__I uint16_t PWM_Type::CVAL5CYC
uint8_t PWM_Type::RESERVED_1 [8]
} | SM [4]
__IO uint16_t | OUTEN
__IO uint16_t | MASK
__IO uint16_t | SWCOUT
__IO uint16_t | DTSRCSEL
__IO uint16_t | MCTRL
__IO uint16_t | MCTRL2
__IO uint16_t | FCTRL
__IO uint16_t | FSTS
__IO uint16_t | FFILT
__IO uint16_t | FTST
__IO uint16_t | FCTRL2

## Detailed Description

PWM - Register Layout Typedef

Definition at line 33060 of file MIMXRT1062.h.

The documentation for this struct was generated from the following file:

- device/MIMXRT1062.h